import type { EventEmitter } from '../../../stencil-public-runtime';
export declare class Pagination {
    currentPage: number;
    totalPages: number;
    isDisabled?: boolean;
    class?: string;
    pageChange: EventEmitter<number>;
    currentPageIndex: number;
    isTooltipOpen: boolean;
    watchCurrentPage(newValue: number): void;
    private handleTooltipStatus;
    private handlePageClick;
    private handleEdgePageClick;
    private isCurrentPageActive;
    private isInTheHundreds;
    componentWillLoad(): void;
    render(): any;
}
